| ghc-6.10.4: The GHC API | Contents | Index

ByteCodeInstr

Documentation
data BCInstr

Constructors

STKCHECK Int |
PUSH_L !Int |
PUSH_LL !Int !Int |
PUSH_LLL !Int !Int !Int |
PUSH_G Name |
PUSH_PRIMOP PrimOp |
PUSH_BCO (ProtoBCO Name) |
PUSH_ALTS (ProtoBCO Name) |
PUSH_ALTS_UNLIFTED (ProtoBCO Name) CgRep |
PUSH_UBX (Either Literal (Ptr ())) Int |
PUSH_APPLY_N |
PUSH_APPLY_V |
PUSH_APPLY_F |
PUSH_APPLY_D |
PUSH_APPLY_L |
PUSH_APPLY_P |
PUSH_APPLY_PP |
PUSH_APPLY_PPP |
PUSH_APPLY_PPPP |
PUSH_APPLY_PPPPP |
PUSH_APPLY_PPPPPP |
SLIDE Int Int |
ALLOC_AP !Int |
ALLOC_AP_NOUPD !Int |
ALLOC_PAP !Int !Int |
MKAP !Int !Int |
MKPAP !Int !Int |
UNPACK !Int |
PACK DataCon !Int |
LABEL LocalLabel |
TESTLT_I Int LocalLabel |
TESTEQ_I Int LocalLabel |
TESTLT_F Float LocalLabel |
TESTEQ_F Float LocalLabel |
TESTLT_D Double LocalLabel |
TESTEQ_D Double LocalLabel |
TESTLT_P Int LocalLabel |
TESTEQ_P Int LocalLabel |
CASEFAIL |
JMP LocalLabel |
CCALL Int (Ptr ()) |
SWIZZLE Int Int |
ENTER |
RETURN |
RETURN_UBX CgRep |
BRK_FUN (MutableByteArray# RealWorld) Int BreakInfo |

Instances

Outputable BCInstr

data ProtoBCO a

Constructors

ProtoBCO |

protoBCOName :: a |
protoBCOInstrs :: [BCInstr] |
protoBCOBitmap :: [StgWord] |
protoBCOBitmapSize :: Int |
protoBCOArity :: Int |
protoBCOExpr :: Either [AnnAlt Id VarSet] (AnnExpr Id VarSet) |
protoBCOPtrs :: [Either ItblPtr (Ptr ())] |

Instances

Outputable a => Outputable (ProtoBCO a)

bciStackUse :: BCInstr -> Int
data BreakInfo

Constructors

BreakInfo |

breakInfo_module :: Module |
breakInfo_number :: !Int |
breakInfo_vars :: [(Id, Int)] |
breakInfo_resty :: Type |

Instances

Outputable BreakInfo

Produced by Haddock version 2.4.2